/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2007 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/


#ifndef AE_API_H
#define AE_API_H


#ifdef BUILDING_AQFINANCE_ENGINE
# /* building AqFinance */
# if AF_SYS_IS_WINDOWS
#   /* for windows */
#   ifdef __declspec
#     define AE_API __declspec (dllexport)
#   else /* if __declspec */
#     define AE_API
#   endif /* if NOT __declspec */
# else
#   /* for non-win32 */
#   ifdef GCC_WITH_VISIBILITY_ATTRIBUTE
#     define AE_API __attribute__((visibility("default")))
#   else
#     define AE_API
#   endif
# endif
#else
# /* not building AqFinance */
# if AF_SYS_IS_WINDOWS
#   /* for windows */
#   ifdef __declspec
#     define AE_API __declspec (dllimport)
#   else /* if __declspec */
#     define AE_API
#   endif /* if NOT __declspec */
# else
#   /* for non-win32 */
#   define AE_API
# endif
#endif

#ifdef GCC_WITH_VISIBILITY_ATTRIBUTE
# define AE_EXPORT __attribute__((visibility("default")))
# define AE_NOEXPORT __attribute__((visibility("hidden")))
#else
# define AE_EXPORT
# define AE_NOEXPORT
#endif


#define AE_LOGDOMAIN "ae"

#include <gwenhywfar/i18n.h>

#include <inttypes.h>

#define I18N(msg) GWEN_I18N_Translate(PACKAGE, msg)


#endif

